org.apache.cassandra.cql3

## Class Attributes

- java.lang.Object
- - org.apache.cassandra.cql3.Attributes

-     public class Attributes
      extends java.lang.Object

  Utility class for the Parser to gather attributes for modification statements.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Attributes.Raw`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `collectMarkerSpecification(VariableSpecifications boundNames)`
    `long` | `getTimestamp(long now, QueryOptions options)`
    `int` | `getTimeToLive(QueryOptions options)`
    `boolean` | `isTimestampSet()`
    `boolean` | `isTimeToLiveSet()`
    `static Attributes` | `none()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### none

          public static Attributes none()

    - #### isTimestampSet

          public boolean isTimestampSet()

    - #### isTimeToLiveSet

          public boolean isTimeToLiveSet()

    - #### getTimestamp

          public long getTimestamp(long now,
                          QueryOptions options)
                            throws InvalidRequestException

      Throws:
        `InvalidRequestException`

    - #### getTimeToLive

          public int getTimeToLive(QueryOptions options)
                            throws InvalidRequestException

      Throws:
        `InvalidRequestException`

    - #### collectMarkerSpecification

          public void collectMarkerSpecification(VariableSpecifications boundNames)

Copyright © 2014 The Apache Software Foundation